Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler
Interface Executable

public interface Executable

Specifies the contract whereby a Java class is invoked by the scheduler. All Java classes that are submitted to the scheduler for execution must provide an implementation of this interface. Classes implementing this interface must provide an empty constructor. Every time a submitted job is executed the scheduler creates a new instance of the object using this constructor. As such a job implementation SHOULD NOT rely on instance or static member variables for maintaining state.

Method Summary
`void` | `execute(JobContext context)` Invoked every time the associated job is executed.

Method Detail

### execute

    public void execute(JobContext context)
                 throws JobExecutionException,
                        JobCancellationException

  Invoked every time the associated job is executed. Implementation of this method should eventually return control to the caller.

  Parameters:
    `context` - defines the contract between an executing job instance and the Job Scheduler. Used by the implementation to access a specific instance of a submitted job or a `java.util.logging.logger` instance that is integrated with Job Scheduler logging.
  Throws:
    `JobExecutionException` - Should be thrown to signal to the scheduler runtime that an error occured during execution, e.g. wrap an exception generated during execution.
    `JobCancellationException` - Should be thrown to signal scheduler runtime that the current job execution instance has acknowledged cancellation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.